;;;; unitex-named-chars-test.scm  -*- Scheme -*-
;;;; Kon Lovett, Sep '20

(import test)

(include "test-gloss.incl")

(test-begin "Unicode & LaTeX Named Chars")

;;;

(import (only (chicken base) char-name))
(import unitex-named-chars)

;;

(test #\exclamdown (char-name '|exclamdown|))
(test #x000A1 (char->integer (char-name '|exclamdown|)))

(test #\:blue_car: (char-name '|:blue_car:|))
(test #x1F699 (char->integer (char-name '|:blue_car:|)))

;--> ????  -- umm, yeah, ?????
(gloss #\:no_pedestrians: #\Vdash #\:smoking: #\:speedboat:)

;;;

(test-end "Unicode & LaTeX Named Chars")

(test-exit)
